unit UFormServer;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Spin, UServerList;

type

  { TFormServer }

  TFormServer = class(TForm)
    ButtonCancel: TButton;
    ButtonOk: TButton;
    EditName: TEdit;
    EditAddress: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    SpinEdit1: TSpinEdit;
  private

  public
    procedure Load(Server: TServerInfo);
    procedure Save(Server: TServerInfo);
  end;

var
  FormServer: TFormServer;

implementation

{$R *.lfm}

{ TFormServer }

procedure TFormServer.Load(Server: TServerInfo);
begin
  EditName.Text := Server.Name;
  EditAddress.Text := Server.Address;
  SpinEdit1.Value := Server.Port;
end;

procedure TFormServer.Save(Server: TServerInfo);
begin
  Server.Name := EditName.Text;
  Server.Address := EditAddress.Text;
  Server.Port := SpinEdit1.Value;
end;

end.

